curl
curl -sS "https://gateway.orbit/api/v1/task-questions?project_id=4&cause=1&status=success&since=1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"task_id": 123,
"subtask_id": 123,
"attempt": 123,
"asked_by": "implementer",
"question": "<string>",
"status": "open",
"answered_by": "implementer",
"answer": "<string>",
"cause": "brief_unclear",
"asked_at": "<string>",
"escalated_at": "<string>",
"answered_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tasks
List task questions
Lists task questions, newest first. Optional project_id, cause, status, and since filters. since is an ISO date and includes questions asked at that moment. Returns extension.disabled while the extension is off.
GET
/
api
/
v1
/
task-questions
curl
curl -sS "https://gateway.orbit/api/v1/task-questions?project_id=4&cause=1&status=success&since=1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"task_id": 123,
"subtask_id": 123,
"attempt": 123,
"asked_by": "implementer",
"question": "<string>",
"status": "open",
"answered_by": "implementer",
"answer": "<string>",
"cause": "brief_unclear",
"asked_at": "<string>",
"escalated_at": "<string>",
"answered_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Query Parameters
Required range:
x >= 1Available options:
brief_unclear, contract_gap, scope, environment, missed_contract Available options:
open, escalated, answered, superseded